Bug 1764238 - glibc: Enhancements for GCC Toolset enablement
Summary: glibc: Enhancements for GCC Toolset enablement
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.2
Assignee: Florian Weimer
QA Contact: qe-baseos-tools-bugs
Oss Tikhomirova
URL:
Whiteboard:
Depends On:
Blocks: 1746918
TreeView+ depends on / blocked
 
Reported: 2019-10-22 14:04 UTC by Florian Weimer
Modified: 2020-04-28 16:50 UTC (History)
8 users (show)

Fixed In Version: glibc-2.28-87.el8
Doc Type: Enhancement
Doc Text:
.Vectorized math library is now enabled for GNU Fortran in GCC Toolset 9 With this enhancement, GNU Fortran from GCC Toolset can now use routines from the vectorized math library `libmvec`. Previously, the Fortran compiler in GCC Toolset needed a Fortran header file before it could use routines from `libmvec` provided by the GNU C Library `glibc`.
Clone Of:
Environment:
Last Closed: 2020-04-28 16:50:19 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1828 None None None 2020-04-28 16:50:46 UTC

Description Florian Weimer 2019-10-22 14:04:39 UTC
We should backport these enhancements:

commit dc0afac3252d0c53716ccaf0b424f7769a66d695
Author: marxin <mliska@suse.cz>
Date:   Wed Feb 20 14:54:35 2019 +0100

    Add new Fortran vector math header file.

commit ae514971341dcc08ec7f8622493a65e7eb1ef9d2
Author: marxin <mliska@suse.cz>
Date:   Thu Mar 7 09:39:55 2019 +0100

    Fix location where math-vector-fortran.h is installed.

commit 27a2f2f34c9e77815c6367cf670e24cbac0db7c0
Author: Florian Weimer <fweimer@redhat.com>
Date:   Thu Mar 7 17:28:13 2019 +0100

    check-wrapper-headers test: Adjust Fortran include file directory

These also need to be backported into Fedora 30+.

Comment 1 Florian Weimer 2019-11-06 10:17:06 UTC
I'm dropping the check-wrapper-headers changes from the backport because that is not a test we have downstream. I did backport it, but we lack various header cleanups, and the test fails as a result.

Comment 5 Sergey Kolosov 2020-03-12 12:39:11 UTC
Verified, glibc-2.28-89.el8 contains these files.

Comment 10 errata-xmlrpc 2020-04-28 16:50:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1828


Note You need to log in before you can comment on or make changes to this bug.